/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for ProcedureProperties
 */
	public enum EnumCV_ProcedureProperties {
	
	//TID 3830 Procedure Properties
	COMMENT_121106("121106"),
	SERVICE_PERFORMER_121435("121435"),
	SERVICE_DELIVERY_LOCATION_121434("121434"),
	CLINICAL_REPORT_R_42B89("R-42B89"),
	DOCUMENT_TITLE_121144("121144"),
	DATETIME_STARTED_111526("111526");

	private String value;
	
	EnumCV_ProcedureProperties(String strvalue)
	{
		this.value = strvalue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
